#include "picsys18.h"

void
setup()
{
    pinMode(LED1, OUTPUT) ;
    digitalWrite(LED1, HIGH) ;
    
    USB_begin() ;
}

	
void
loop()
{
    int c ;

    if (USB_attached()) { // USB接続を確認
        while (USB_available()) {
            c = USB_getc() ;
            USB_putc(c) ;
            if (c == '\r') {
                USB_putc('\n') ;
            }    
        }
    }

    digitalWrite(LED1, ((int)millis()) & 0x200) ; // ハートビート
}
